PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Initialization Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » CT DAC (Continuous Time Digital to Analog Converter) » Functions

## General Description

This set of functions is used to configure the DAC.

## Functions
cy_en_autanalog_status_t | Cy_AutAnalog_DAC_LoadConfig (uint8_t dacIdx, const cy_stc_autanalog_dac_t *dacCfg)
| Configures the DAC per provided static and waveform settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_DAC_LoadStaticConfig (uint8_t dacIdx, const cy_stc_autanalog_dac_sta_t *dacStaCfg)
| Configures the DAC per settings in the static configuration structure. More...

## Function Documentation

## ◆ Cy_AutAnalog_DAC_LoadConfig()

cy_en_autanalog_status_t Cy_AutAnalog_DAC_LoadConfig | ( | uint8_t | dacIdx,
|  | const cy_stc_autanalog_dac_t * | dacCfg
| ) |  |

Configures the DAC per provided static and waveform settings.

Note
  Changing Vref from external to internal (or vice versa) or enabling/disabling buffers requires a new initialization delay for the DAC subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  dacIdx | The index of the DAC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::dac
  dacCfg | The pointer to a structure containing the static and waveform parts of the configuration data for the entire DAC.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_DAC_LoadStaticConfig()

cy_en_autanalog_status_t Cy_AutAnalog_DAC_LoadStaticConfig | ( | uint8_t | dacIdx,
|  | const cy_stc_autanalog_dac_sta_t * | dacStaCfg
| ) |  |

Configures the DAC per settings in the static configuration structure.

Note
  Changing Vref from external to internal (or vice versa) or enabling/disabling buffers requires a new initialization delay for the DAC subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  dacIdx | The index of the DAC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::dac
  dacStaCfg | The pointer to a structure containing static configuration data for the DAC.

Returns
  Status of initialization, cy_en_autanalog_status_t.